> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset_checkpoints.checkpoints.md).

# api\_entities\_Asset\_Checkpoints.Checkpoints

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [api/entities/Asset/Checkpoints](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_asset_checkpoints.md) / Checkpoints

## Class: Checkpoints

[api/entities/Asset/Checkpoints](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_asset_checkpoints.md).Checkpoints

Handles all Asset Checkpoints related functionality

### Hierarchy

* `Namespace`<[`Asset`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset.asset.md)>

  ↳ **`Checkpoints`**

### Table of contents

#### Properties

* [schedules](#schedules)

#### Methods

* [create](#create)
* [get](#get)
* [getOne](#getone)

### Properties

#### schedules

• **schedules**: [`Schedules`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset_checkpoints_schedules.schedules.md)

**Defined in**

[api/entities/Asset/Checkpoints/index.ts:30](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/Checkpoints/index.ts#L30)

### Methods

#### create

▸ **create**(`opts?`): `Promise`<`TransactionQueue`<[`Checkpoint`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_checkpoint.checkpoint.md), [`Checkpoint`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_checkpoint.checkpoint.md), `unknown`\[]\[]>>

Create a snapshot of Asset Holders and their respective balances at this moment

**`note`** this method is of type [NoArgsProcedureMethod](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.noargsproceduremethod.md), which means you can call [create.checkAuthorization](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.noargsproceduremethod.md#checkauthorization) on it to see whether the signing Account and Identity have the required roles and permissions to run it

**Parameters**

| Name    | Type                                                                                        |
| ------- | ------------------------------------------------------------------------------------------- |
| `opts?` | [`ProcedureOpts`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.procedureopts.md) |

**Returns**

`Promise`<`TransactionQueue`<[`Checkpoint`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_checkpoint.checkpoint.md), [`Checkpoint`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_checkpoint.checkpoint.md), `unknown`\[]\[]>>

**Defined in**

[api/entities/Asset/Checkpoints/index.ts:54](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/Checkpoints/index.ts#L54)

***

#### get

▸ **get**(`paginationOpts?`): `Promise`<[`ResultSet`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.resultset.md)<[`CheckpointWithData`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.checkpointwithdata.md)>>

Retrieve all Checkpoints created on this Asset, together with their corresponding creation Date and Total Supply

**`note`** supports pagination

**Parameters**

| Name              | Type                                                                                                |
| ----------------- | --------------------------------------------------------------------------------------------------- |
| `paginationOpts?` | [`PaginationOptions`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.paginationoptions.md) |

**Returns**

`Promise`<[`ResultSet`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.resultset.md)<[`CheckpointWithData`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.checkpointwithdata.md)>>

**Defined in**

[api/entities/Asset/Checkpoints/index.ts:88](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/Checkpoints/index.ts#L88)

***

#### getOne

▸ **getOne**(`args`): `Promise`<[`Checkpoint`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_checkpoint.checkpoint.md)>

Retrieve a single Checkpoint for this Asset by its ID

**`throws`** if there is no Checkpoint with the passed ID

**Parameters**

| Name      | Type        |
| --------- | ----------- |
| `args`    | `Object`    |
| `args.id` | `BigNumber` |

**Returns**

`Promise`<[`Checkpoint`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_checkpoint.checkpoint.md)>

**Defined in**

[api/entities/Asset/Checkpoints/index.ts:63](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/Checkpoints/index.ts#L63)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset_checkpoints.checkpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
